---
sidebar_position: 4
---
# Membership and Creds

Membership and creds are the backbone of how communities in tgether function. They determine who can join, how members interact, and the influence each member has within the community. Let’s explore how these systems work and how they can be customized to fit your community’s needs.

## Joining Communities

In tgether, members can join communities unless the community is set to invite-only. Invite-only communities restrict membership to those who have been explicitly invited, giving the community owner more control over who can participate.

For open communities, anyone who meets the community’s requirements (if any) can join and start participating in proposals, voting, and content reviews.

## Creds: The Reputation System

By default, tgether uses a simple "karma" based cred system where members can influence each other’s reputation:

- **Adding Creds**: Members can add 1 cred to other members to acknowledge valuable contributions or good behavior.
- **Removing Creds**: Members can also remove 1 cred from others if they feel someone’s contributions are harmful or unhelpful.

This basic mechanism encourages positive engagement while giving members a way to moderate and shape the community’s culture. Creds act as a measure of a member’s influence and can directly impact their ability to propose, vote, or review within the community.

### Customizing the Cred System

While the default cred system is straightforward, tgether also allows communities to define more advanced rules for membership and cred management. This can be achieved through the [memberAccess Contract](../Developer-Docs/membership-and-creds.md), which gives the community full control over how membership is handled and how creds are calculated.

For example, a community might want to:

- Use a more complex reputation algorithm that factors in different activities, like the number of quality reviews a member has submitted.
- Gate membership access based on ownership of specific assets (e.g., NFTs or tokens).
- Implement unique rules for awarding creds based on criteria defined by the community’s goals.

With the **memberAccessContract**, communities can create highly specialized systems that go beyond the default karma approach, tailoring membership and creds to their unique needs.

## Bringing It All Together

The combination of membership and creds determines who can participate and how much influence they have within the community. Whether using the default system or a custom setup, tgether gives communities the flexibility to define their own rules while ensuring that decision-making remains transparent and decentralized.

Ready to dive deeper into how posts and proposals are reviewed? Learn more here: [Posts and Submission Review](./posts-and-proposals-review).

---

This guide provides an overview of how membership and creds work in tgether and highlights how they can be customized to create dynamic and responsive communities. By understanding these core concepts, you’ll be better equipped to manage and optimize your community’s participation and engagement.
