---
sidebar_position: 1

---
# Getting Started!

Welcome to **tgether**—a decentralized platform that empowers users to build purpose-driven communities and reach agreements on just about anything! Whether it's scientific peer review, fact-checking social media, classifying age-appropriate content, or something entirely new, tgether lets you define your community’s purpose and methods of collaboration. Built to be completely trustless, all data is transparently shared and secured on the blockchain, so your community can focus on collaboration without worrying about data ownership or censorship.

## Terminology

Before diving in, let’s clarify some key concepts that are central to how tgether works:

### What is a Community?

A **Community** is a group of users united by a common purpose or goal. Communities are defined by customizable parameters that dictate how they operate, such as how members are admitted, how proposals are reviewed, and how decisions are made. Communities can range from small private groups to large, open networks.

### What is a Member?

A **Member** is a participant in a community. Members can have different roles and permissions based on the rules set by the community. Membership can be controlled through criteria such as reputation, credentials, or other community-defined standards. Members are the core actors who submit, review, and vote on content within the community.

### What are Creds?
*Creds* offer a way to balance influence within a community. They can be used to adjust how decisions are made, ranging from communities where creds have little impact to those where they heavily influence voting power and control.

### What is a Post?

A **Post** is a declaration of a piece of content. Posts can range from text to social media links, IPFS addresses or any custom data relevant to the community’s goals. Posts are submitted to communities and reviewed by members, and the consensus is reached based on the community’s predefined rules and voting mechanisms.

### What is a Proposal?

A **Proposal** is a formal submission that requires a community’s collective decision. There are two main types of proposals in tgether:
- **Community Proposals:** These are used to set or adjust the community’s parameters, such as membership rules, governance structure, and voting mechanisms.
- **Custom Proposals:** These are designed to expand a community’s purpose. For example, setting rules for post consensus through the Community Consensus contract or integrating custom logic tailored to the community’s specific needs.

### How Do They Interact?

1. **Communities** define an overall purpose and governance structure.
2. **Members** are admitted to communities and participate based on the community’s rules.
3. **Creds** provide a measure to balance influence, shaping how members engage and contribute within the community.
4. **Posts** are submitted to and reviewed by the community to achieve consensus on the content they contain.
5. **Proposals** allow the community to either change internal parameters or add custom functionality for their use cases.

Together, these elements form a flexible system for decentralized consensus, allowing communities to tailor their processes to their unique needs.

## Explore Further

Choose the path that best suits your needs:

<div style={{ display: 'flex', gap: '20px', marginTop: '20px' }}>
  <a href="/docs/user-guide/getting-started" className="button button--primary">User Docs</a>
  <a href="/docs/developer-docs/getting-started" className="button button--secondary">Developer Docs</a>
</div>
